namespace CMSMicroservice.WebApi.Common.Mappings;

public class ContractProfile : IRegister
{
    void IRegister.Register(TypeAdapterConfig config)
    {       
        config.NewConfig<Protobuf.Protos.Contract.GetAllContractByFilterRequest, Application.ContractCQ.Queries.GetAllContractByFilter.GetAllContractByFilterQuery>()
        .IgnoreIf((src, dest) => !src.Filter.HasType, dest => dest.Filter.Type);
    }
}
